body{
font-family: Arial;
background: linear-gradient(120deg,#6aa9ff,#c7ddff);
height:100vh;
display:flex;
justify-content:center;
align-items:center;
}

.container{
background:white;
padding:30px;
width:350px;
border-radius:10px;
box-shadow:0 10px 30px rgba(0,0,0,0.2);
}

h2{
text-align:center;
margin-bottom:20px;
}

label{
display:block;
margin-top:10px;
}

input{
width:100%;
padding:10px;
margin-top:5px;
border:1px solid #ccc;
border-radius:5px;
}

.pass-box{
display:flex;
align-items:center;
border:1px solid #ccc;
border-radius:5px;
margin-top:5px;
}

.pass-box input{
border:none;
flex:1;
padding:10px;
}

.pass-box span{
padding:10px;
cursor:pointer;
}

.check{
display:flex;
align-items:center;
gap:8px;
margin-top:10px;
}

.check input{
width:auto;
}

button{
width:100%;
padding:12px;
margin-top:15px;
background:#1f6ed4;
color:white;
border:none;
border-radius:6px;
cursor:pointer;
font-size:16px;
}

button:hover{
background:#1254a3;
}

#error{
color:red;
margin-top:10px;
}

#strength{
font-size:14px;
margin-top:5px;
}